commit:     1713c872f6c713ed4a03341a40e1aac802af7307
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 21:00:32 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 21:03:02 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1713c872

www-client/epiphany: Version bump

Package-Manager: portage-2.2.24

 www-client/epiphany/Manifest               |  1 +
 www-client/epiphany/epiphany-3.18.0.ebuild | 97 ++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
index 9d96374..e2a555d 100644
--- a/www-client/epiphany/Manifest
+++ b/www-client/epiphany/Manifest
@@ -1,2 +1,3 @@
 DIST epiphany-3.14.2.tar.xz 3063764 SHA256 
cc69403b3b7addf30dd6eb703265a77102b8ab3c6194678ad0d2433f251492d0 SHA512 
895f70768c4c765fdc221b2d44bfbb6e7599b0231b0af1a7a8a869fd461db6a09cbdd7a0120bda5dfd583d1d667391c574f18caf1aef5971b474d34911581dc7
 WHIRLPOOL 
0e235b3190b0ef42a9caa241258060dd5db1e8db07275102ec50b5223931badc56b6ad0c7ec32ccf27d74308845d4d9aef736775bbf6e5290a5d9275bd5c669a
 DIST epiphany-3.16.3.tar.xz 3082680 SHA256 
d527f1770779ec22d955aeb13b148a846a26144e433ff0480c981af80e2390b1 SHA512 
68f4dc0e299b929f244818d93a9af14f48ef2c3a93813fe5457c11d37ddb5a5e2b5ae3f93f0d41e8095590f87d8679d2cee5b6298c128475a9ad9eb6aa3c8bae
 WHIRLPOOL 
c82ff5051ac3c1ac2480b846f77893f39f52517f0aa0f7a6084e8b24e98f490264a6adecd89671d89719da835ca84f0613019e281280380bb20d980c2294afe9
+DIST epiphany-3.18.0.tar.xz 3086780 SHA256 
d5ba67a8cd85c80b81e076862bcab3fc376ba51b0a1536ca7430608d1f50491d SHA512 
16cf080c7aa7f4ec62ec4e143b9407a41ef6f546b2c5e5263a90b72c73ceaf01007dd5047ca3ae79e9418d0484aca0c972cfe640cfdb1314fff709978d1720e2
 WHIRLPOOL 
61cb7f74d1e1ac188c4c6ae761da5633ee219305847a4e3d7b27299a59229756f3bcc2fede9c625694cb4553a87ba173cc6b2445f06b6a86fe8b13a0355af31d

diff --git a/www-client/epiphany/epiphany-3.18.0.ebuild 
b/www-client/epiphany/epiphany-3.18.0.ebuild
new file mode 100644
index 0000000..5f55544
--- /dev/null
+++ b/www-client/epiphany/epiphany-3.18.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 pax-utils versionator virtualx
+
+DESCRIPTION="GNOME webbrowser based on Webkit"
+HOMEPAGE="https://wiki.gnome.org/Apps/Web";
+
+# TODO: coverage
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+jit +nss test"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+COMMON_DEPEND="
+       >=app-crypt/gcr-3.5.5
+       >=app-crypt/libsecret-0.14
+       >=app-text/iso-codes-0.35
+       >=dev-libs/glib-2.38:2[dbus]
+       >=dev-libs/libxml2-2.6.12:2
+       >=dev-libs/libxslt-1.1.7
+       >=gnome-base/gsettings-desktop-schemas-0.0.1
+       >=net-dns/avahi-0.6.22[dbus]
+       >=net-libs/webkit-gtk-2.9.5:4[jit?]
+       >=net-libs/libsoup-2.48:2.4
+       >=x11-libs/gtk+-3.13:3
+       >=x11-libs/libnotify-0.5.1:=
+       gnome-base/gnome-desktop:3=
+
+       dev-db/sqlite:3
+       x11-libs/libwnck:3
+       x11-libs/libX11
+
+       x11-themes/adwaita-icon-theme
+
+       nss? ( dev-libs/nss )
+"
+# epiphany-extensions support was removed in 3.7; let's not pretend it still 
works
+RDEPEND="${COMMON_DEPEND}
+       !www-client/epiphany-extensions
+"
+# paxctl needed for bug #407085
+# eautoreconf requires gnome-common-3.5.5
+DEPEND="${COMMON_DEPEND}
+       app-text/yelp-tools
+       >=gnome-base/gnome-common-3.6
+       >=dev-util/intltool-0.50
+       dev-util/itstool
+       sys-apps/paxctl
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       # Fix unittests
+       # https://bugzilla.gnome.org/show_bug.cgi?id=751591
+       epatch "${FILESDIR}"/${PN}-3.16.0-unittest-1.patch
+
+       # https://bugzilla.gnome.org/show_bug.cgi?id=751593
+       epatch "${FILESDIR}"/${PN}-3.14.0-unittest-2.patch
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --enable-shared \
+               --disable-static \
+               --with-distributor-name=Gentoo \
+               $(use_enable nss) \
+               $(use_enable test tests)
+}
+
+src_compile() {
+       # needed to avoid "Command line `dbus-launch ...' exited with non-zero 
exit status 1"
+       unset DISPLAY
+       gnome2_src_compile
+}
+
+src_test() {
+       # FIXME: this should be handled at eclass level
+       "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+
+       unset DISPLAY
+       GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
+}
+
+src_install() {
+       DOCS="AUTHORS ChangeLog* NEWS README TODO"
+       gnome2_src_install
+       use jit && pax-mark m "${ED}usr/bin/epiphany"
+}

Reply via email to